#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EChatRoomGroupType {
    Default = 0,
    Unmoderated = 1,
}

impl EChatRoomGroupType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Default as i32 => Some(Self::Default),
            x if x == Self::Unmoderated as i32 => Some(Self::Unmoderated),
            _ => None,
        }
    }
}
